| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
TypeIdentifierTypeObjectPair Class Reference
eProsima Fast DDS API Reference » DDS Public API » DDS TypeObject API

This class represents the structure TypeIdentifierTypeObjectPair defined by the user in the IDL file. More...

`#include <dds_xtypes_typeobject.hpp>`

## Public Member Functions

eProsima_user_DllExport | TypeIdentifierTypeObjectPair ()
| Default constructor.
eProsima_user_DllExport | ~TypeIdentifierTypeObjectPair ()
| Default destructor.
eProsima_user_DllExport | TypeIdentifierTypeObjectPair (const TypeIdentifierTypeObjectPair &x)
| Copy constructor.
eProsima_user_DllExport | TypeIdentifierTypeObjectPair (TypeIdentifierTypeObjectPair &&x) noexcept
| Move constructor.
eProsima_user_DllExport TypeIdentifierTypeObjectPair & | operator= (const TypeIdentifierTypeObjectPair &x)
| Copy assignment.
eProsima_user_DllExport TypeIdentifierTypeObjectPair & | operator= (TypeIdentifierTypeObjectPair &&x) noexcept
| Move assignment.
eProsima_user_DllExport bool | operator== (const TypeIdentifierTypeObjectPair &x) const
| Comparison operator.
eProsima_user_DllExport bool | operator!= (const TypeIdentifierTypeObjectPair &x) const
| Comparison operator.
eProsima_user_DllExport void | type_identifier (const TypeIdentifier &_type_identifier)
| This function copies the value in member type_identifier.
eProsima_user_DllExport void | type_identifier (TypeIdentifier &&_type_identifier)
| This function moves the value in member type_identifier.
eProsima_user_DllExport const TypeIdentifier & | type_identifier () const
| This function returns a constant reference to member type_identifier.
eProsima_user_DllExport TypeIdentifier & | type_identifier ()
| This function returns a reference to member type_identifier.
eProsima_user_DllExport void | type_object (const TypeObject &_type_object)
| This function copies the value in member type_object.
eProsima_user_DllExport void | type_object (TypeObject &&_type_object)
| This function moves the value in member type_object.
eProsima_user_DllExport const TypeObject & | type_object () const
| This function returns a constant reference to member type_object.
eProsima_user_DllExport TypeObject & | type_object ()
| This function returns a reference to member type_object.

## Detailed Description

This class represents the structure TypeIdentifierTypeObjectPair defined by the user in the IDL file.

## Constructor & Destructor Documentation

## ◆ TypeIdentifierTypeObjectPair() [1/3]

eProsima_user_DllExport TypeIdentifierTypeObjectPair | ( |  | ) |

inline

Default constructor.

## ◆ ~TypeIdentifierTypeObjectPair()

eProsima_user_DllExport ~TypeIdentifierTypeObjectPair | ( |  | ) |

inline

Default destructor.

## ◆ TypeIdentifierTypeObjectPair() [2/3]

eProsima_user_DllExport TypeIdentifierTypeObjectPair | ( | const TypeIdentifierTypeObjectPair & | x | ) |

inline

Copy constructor.

Parameters

  x | Reference to the object TypeIdentifierTypeObjectPair that will be copied.

## ◆ TypeIdentifierTypeObjectPair() [3/3]

eProsima_user_DllExport TypeIdentifierTypeObjectPair | ( | TypeIdentifierTypeObjectPair && | x | ) |

inline noexcept

Move constructor.

Parameters

  x | Reference to the object TypeIdentifierTypeObjectPair that will be copied.

## Member Function Documentation

## ◆ operator!=()

eProsima_user_DllExport bool operator!= | ( | const TypeIdentifierTypeObjectPair & | x | ) | const

inline

Comparison operator.

Parameters

  x | TypeIdentifierTypeObjectPair object to compare.

## ◆ operator=() [1/2]

eProsima_user_DllExport TypeIdentifierTypeObjectPair & operator= | ( | const TypeIdentifierTypeObjectPair & | x | ) |

inline

Copy assignment.

Parameters

  x | Reference to the object TypeIdentifierTypeObjectPair that will be copied.

## ◆ operator=() [2/2]

eProsima_user_DllExport TypeIdentifierTypeObjectPair & operator= | ( | TypeIdentifierTypeObjectPair && | x | ) |

inline noexcept

Move assignment.

Parameters

  x | Reference to the object TypeIdentifierTypeObjectPair that will be copied.

## ◆ operator==()

eProsima_user_DllExport bool operator== | ( | const TypeIdentifierTypeObjectPair & | x | ) | const

inline

Comparison operator.

Parameters

  x | TypeIdentifierTypeObjectPair object to compare.

## ◆ type_identifier() [1/4]

eProsima_user_DllExport TypeIdentifier & type_identifier | ( |  | ) |

inline

This function returns a reference to member type_identifier.

Returns
  Reference to member type_identifier

## ◆ type_identifier() [2/4]

eProsima_user_DllExport const TypeIdentifier & type_identifier | ( |  | ) | const

inline

This function returns a constant reference to member type_identifier.

Returns
  Constant reference to member type_identifier

## ◆ type_identifier() [3/4]

eProsima_user_DllExport void type_identifier | ( | const TypeIdentifier & | _type_identifier | ) |

inline

This function copies the value in member type_identifier.

Parameters

  _type_identifier | New value to be copied in member type_identifier

## ◆ type_identifier() [4/4]

eProsima_user_DllExport void type_identifier | ( | TypeIdentifier && | _type_identifier | ) |

inline

This function moves the value in member type_identifier.

Parameters

  _type_identifier | New value to be moved in member type_identifier

## ◆ type_object() [1/4]

eProsima_user_DllExport TypeObject & type_object | ( |  | ) |

inline

This function returns a reference to member type_object.

Returns
  Reference to member type_object

## ◆ type_object() [2/4]

eProsima_user_DllExport const TypeObject & type_object | ( |  | ) | const

inline

This function returns a constant reference to member type_object.

Returns
  Constant reference to member type_object

## ◆ type_object() [3/4]

eProsima_user_DllExport void type_object | ( | const TypeObject & | _type_object | ) |

inline

This function copies the value in member type_object.

Parameters

  _type_object | New value to be copied in member type_object

## ◆ type_object() [4/4]

eProsima_user_DllExport void type_object | ( | TypeObject && | _type_object | ) |

inline

This function moves the value in member type_object.

Parameters

  _type_object | New value to be moved in member type_object

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/type_representation/detail/dds_xtypes_typeobject.hpp